--
-- PostgreSQL database dump
--

-- Started on 2008-05-11 22:39:13

SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

--
-- TOC entry 3 (class 2615 OID 18780512)
-- Name: db; Type: SCHEMA; Schema: -; Owner: -
--

CREATE SCHEMA db;


--
-- TOC entry 1694 (class 0 OID 0)
-- Dependencies: 3
-- Name: SCHEMA db; Type: COMMENT; Schema: -; Owner: -
--

COMMENT ON SCHEMA db IS 'Semestralka DB2';


--
-- TOC entry 1 (class 2615 OID 18780511)
-- Name: test; Type: SCHEMA; Schema: -; Owner: -
--

CREATE SCHEMA test;


--
-- TOC entry 303 (class 2612 OID 16386)
-- Name: plpgsql; Type: PROCEDURAL LANGUAGE; Schema: -; Owner: -
--

CREATE PROCEDURAL LANGUAGE plpgsql;


SET search_path = public, pg_catalog;

--
-- TOC entry 269 (class 1247 OID 16390)
-- Dependencies: 1308
-- Name: tablefunc_crosstab_2; Type: TYPE; Schema: public; Owner: -
--

CREATE TYPE tablefunc_crosstab_2 AS (
	row_name text,
	category_1 text,
	category_2 text
);


--
-- TOC entry 270 (class 1247 OID 16392)
-- Dependencies: 1309
-- Name: tablefunc_crosstab_3; Type: TYPE; Schema: public; Owner: -
--

CREATE TYPE tablefunc_crosstab_3 AS (
	row_name text,
	category_1 text,
	category_2 text,
	category_3 text
);


--
-- TOC entry 271 (class 1247 OID 16394)
-- Dependencies: 1310
-- Name: tablefunc_crosstab_4; Type: TYPE; Schema: public; Owner: -
--

CREATE TYPE tablefunc_crosstab_4 AS (
	row_name text,
	category_1 text,
	category_2 text,
	category_3 text,
	category_4 text
);


SET search_path = db, pg_catalog;

--
-- TOC entry 35 (class 1255 OID 29713892)
-- Dependencies: 303 3
-- Name: existsAddress(); Type: FUNCTION; Schema: db; Owner: -
--

CREATE FUNCTION "existsAddress"() RETURNS "trigger"
    AS $$DECLARE
	addressCount INTEGER;

BEGIN
	SELECT count(*) INTO addressCount FROM db.adresa WHERE ulice = NEW.ulice AND cislo_popisne = NEW.cislo_popisne AND mesto = NEW.mesto AND kraj = NEW.kraj AND stat = NEW.stat;

	IF (addressCount > 0) THEN
		RAISE EXCEPTION 'Adresa existuje';
	END IF;

	RETURN NEW;
END;
$$
    LANGUAGE plpgsql;


--
-- TOC entry 34 (class 1255 OID 29656420)
-- Dependencies: 303 3
-- Name: freespace(); Type: FUNCTION; Schema: db; Owner: -
--

CREATE FUNCTION freespace() RETURNS "trigger"
    AS $$DECLARE
	maxCars INTEGER;
	currentCars INTEGER;

BEGIN
	SELECT max_vozidel INTO maxCars FROM db.pobocka WHERE id_pobocky = NEW.id_pobocky;
	SELECT count(*) INTO currentCars FROM db.vozidlo WHERE id_pobocky = NEW.id_pobocky;

	IF (currentCars >= maxCars) THEN
		RAISE EXCEPTION 'Maximum vozidel';
	END IF;

	RETURN NEW;
END;
$$
    LANGUAGE plpgsql;


SET search_path = public, pg_catalog;

--
-- TOC entry 27 (class 1255 OID 16400)
-- Dependencies: 6
-- Name: connectby(text, text, text, text, integer, text); Type: FUNCTION; Schema: public; Owner: -
--

CREATE FUNCTION connectby(text, text, text, text, integer, text) RETURNS SETOF record
    AS '$libdir/tablefunc', 'connectby_text'
    LANGUAGE c STABLE STRICT;


--
-- TOC entry 28 (class 1255 OID 16401)
-- Dependencies: 6
-- Name: connectby(text, text, text, text, integer); Type: FUNCTION; Schema: public; Owner: -
--

CREATE FUNCTION connectby(text, text, text, text, integer) RETURNS SETOF record
    AS '$libdir/tablefunc', 'connectby_text'
    LANGUAGE c STABLE STRICT;


--
-- TOC entry 29 (class 1255 OID 16402)
-- Dependencies: 6
-- Name: connectby(text, text, text, text, text, integer, text); Type: FUNCTION; Schema: public; Owner: -
--

CREATE FUNCTION connectby(text, text, text, text, text, integer, text) RETURNS SETOF record
    AS '$libdir/tablefunc', 'connectby_text_serial'
    LANGUAGE c STABLE STRICT;


--
-- TOC entry 30 (class 1255 OID 16403)
-- Dependencies: 6
-- Name: connectby(text, text, text, text, text, integer); Type: FUNCTION; Schema: public; Owner: -
--

CREATE FUNCTION connectby(text, text, text, text, text, integer) RETURNS SETOF record
    AS '$libdir/tablefunc', 'connectby_text_serial'
    LANGUAGE c STABLE STRICT;


--
-- TOC entry 21 (class 1255 OID 16388)
-- Dependencies: 6
-- Name: crosstab(text); Type: FUNCTION; Schema: public; Owner: -
--

CREATE FUNCTION crosstab(text) RETURNS SETOF record
    AS '$libdir/tablefunc', 'crosstab'
    LANGUAGE c STABLE STRICT;


--
-- TOC entry 25 (class 1255 OID 16398)
-- Dependencies: 6
-- Name: crosstab(text, integer); Type: FUNCTION; Schema: public; Owner: -
--

CREATE FUNCTION crosstab(text, integer) RETURNS SETOF record
    AS '$libdir/tablefunc', 'crosstab'
    LANGUAGE c STABLE STRICT;


--
-- TOC entry 26 (class 1255 OID 16399)
-- Dependencies: 6
-- Name: crosstab(text, text); Type: FUNCTION; Schema: public; Owner: -
--

CREATE FUNCTION crosstab(text, text) RETURNS SETOF record
    AS '$libdir/tablefunc', 'crosstab_hash'
    LANGUAGE c STABLE STRICT;


--
-- TOC entry 22 (class 1255 OID 16395)
-- Dependencies: 6 269
-- Name: crosstab2(text); Type: FUNCTION; Schema: public; Owner: -
--

CREATE FUNCTION crosstab2(text) RETURNS SETOF tablefunc_crosstab_2
    AS '$libdir/tablefunc', 'crosstab'
    LANGUAGE c STABLE STRICT;


--
-- TOC entry 23 (class 1255 OID 16396)
-- Dependencies: 270 6
-- Name: crosstab3(text); Type: FUNCTION; Schema: public; Owner: -
--

CREATE FUNCTION crosstab3(text) RETURNS SETOF tablefunc_crosstab_3
    AS '$libdir/tablefunc', 'crosstab'
    LANGUAGE c STABLE STRICT;


--
-- TOC entry 24 (class 1255 OID 16397)
-- Dependencies: 6 271
-- Name: crosstab4(text); Type: FUNCTION; Schema: public; Owner: -
--

CREATE FUNCTION crosstab4(text) RETURNS SETOF tablefunc_crosstab_4
    AS '$libdir/tablefunc', 'crosstab'
    LANGUAGE c STABLE STRICT;


--
-- TOC entry 32 (class 1255 OID 27476141)
-- Dependencies: 303 6
-- Name: freespace(integer); Type: FUNCTION; Schema: public; Owner: -
--

CREATE FUNCTION freespace(pobocka integer) RETURNS void
    AS $$
DECLARE
    maxCars db.pobocka.max_vozidel%TYPE;
	currentCars db.pobocka.max_vozidel%TYPE;

BEGIN
    SELECT max_vozidel INTO maxCars FROM db.pobocka WHERE id_pobocky = pobocka;
	SELECT count(*) INTO currentCars FROM db.vozidlo WHERE id_pobocky = pobocka;

	IF (currentCars >= maxCars) THEN
  		RAISE EXCEPTION 'Maximum vozidel';
	END IF;

END;
$$
    LANGUAGE plpgsql;


--
-- TOC entry 20 (class 1255 OID 16387)
-- Dependencies: 6
-- Name: normal_rand(integer, double precision, double precision); Type: FUNCTION; Schema: public; Owner: -
--

CREATE FUNCTION normal_rand(integer, double precision, double precision) RETURNS SETOF double precision
    AS '$libdir/tablefunc', 'normal_rand'
    LANGUAGE c STRICT;


SET search_path = test, pg_catalog;

--
-- TOC entry 33 (class 1255 OID 27495337)
-- Dependencies: 303 1
-- Name: freespace(integer); Type: FUNCTION; Schema: test; Owner: -
--

CREATE FUNCTION freespace(pobocka integer) RETURNS void
    AS $$
DECLARE
    maxCars db.pobocka.max_vozidel%TYPE;
	currentCars db.pobocka.max_vozidel%TYPE;

BEGIN
    SELECT max_vozidel INTO maxCars FROM db.pobocka WHERE id_pobocky = pobocka;
	SELECT count(*) INTO currentCars FROM db.vozidlo WHERE id_pobocky = pobocka;

	IF (currentCars >= maxCars) THEN
  		RAISE EXCEPTION 'Maximum vozidel';
	END IF;

END;
$$
    LANGUAGE plpgsql;


SET search_path = db, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- TOC entry 1316 (class 1259 OID 18782446)
-- Dependencies: 3
-- Name: adresa; Type: TABLE; Schema: db; Owner: -; Tablespace: 
--

CREATE TABLE adresa (
    id_adresa integer NOT NULL,
    ulice character varying(50) NOT NULL,
    cislo_popisne character varying(10) NOT NULL,
    mesto character varying(50) NOT NULL,
    kraj character varying(50) NOT NULL,
    stat character varying(50) NOT NULL
);


--
-- TOC entry 1315 (class 1259 OID 18782444)
-- Dependencies: 1316 3
-- Name: adresa_adresa_seq; Type: SEQUENCE; Schema: db; Owner: -
--

CREATE SEQUENCE adresa_adresa_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 1698 (class 0 OID 0)
-- Dependencies: 1315
-- Name: adresa_adresa_seq; Type: SEQUENCE OWNED BY; Schema: db; Owner: -
--

ALTER SEQUENCE adresa_adresa_seq OWNED BY adresa.id_adresa;


--
-- TOC entry 1312 (class 1259 OID 18780884)
-- Dependencies: 3
-- Name: autosalon; Type: TABLE; Schema: db; Owner: -; Tablespace: 
--

CREATE TABLE autosalon (
    id_autosalonu integer NOT NULL,
    nazev text NOT NULL,
    id_adresa integer NOT NULL
);


--
-- TOC entry 1311 (class 1259 OID 18780882)
-- Dependencies: 3 1312
-- Name: autosalon_id_autosalonu_seq; Type: SEQUENCE; Schema: db; Owner: -
--

CREATE SEQUENCE autosalon_id_autosalonu_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 1699 (class 0 OID 0)
-- Dependencies: 1311
-- Name: autosalon_id_autosalonu_seq; Type: SEQUENCE OWNED BY; Schema: db; Owner: -
--

ALTER SEQUENCE autosalon_id_autosalonu_seq OWNED BY autosalon.id_autosalonu;


--
-- TOC entry 1314 (class 1259 OID 18781211)
-- Dependencies: 3
-- Name: pobocka; Type: TABLE; Schema: db; Owner: -; Tablespace: 
--

CREATE TABLE pobocka (
    id_pobocky integer NOT NULL,
    max_vozidel numeric(5,0) NOT NULL,
    id_adresa integer NOT NULL
);


--
-- TOC entry 1313 (class 1259 OID 18781209)
-- Dependencies: 1314 3
-- Name: pobocka_id_pobocky_seq; Type: SEQUENCE; Schema: db; Owner: -
--

CREATE SEQUENCE pobocka_id_pobocky_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 1700 (class 0 OID 0)
-- Dependencies: 1313
-- Name: pobocka_id_pobocky_seq; Type: SEQUENCE OWNED BY; Schema: db; Owner: -
--

ALTER SEQUENCE pobocka_id_pobocky_seq OWNED BY pobocka.id_pobocky;


--
-- TOC entry 1322 (class 1259 OID 18784254)
-- Dependencies: 3
-- Name: ridic; Type: TABLE; Schema: db; Owner: -; Tablespace: 
--

CREATE TABLE ridic (
    id_ridice integer NOT NULL,
    jmeno text NOT NULL,
    prijmeni text NOT NULL,
    rodne_cislo text NOT NULL,
    skupina text NOT NULL,
    id_adresa integer NOT NULL,
    id_pobocky integer NOT NULL,
    rok_narozeni integer NOT NULL,
    plat integer NOT NULL
);


--
-- TOC entry 1317 (class 1259 OID 18784244)
-- Dependencies: 3 1322
-- Name: ridic_id_ridice_seq; Type: SEQUENCE; Schema: db; Owner: -
--

CREATE SEQUENCE ridic_id_ridice_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 1701 (class 0 OID 0)
-- Dependencies: 1317
-- Name: ridic_id_ridice_seq; Type: SEQUENCE OWNED BY; Schema: db; Owner: -
--

ALTER SEQUENCE ridic_id_ridice_seq OWNED BY ridic.id_ridice;


--
-- TOC entry 1318 (class 1259 OID 18784246)
-- Dependencies: 1322 3
-- Name: ridic_jmeno_seq; Type: SEQUENCE; Schema: db; Owner: -
--

CREATE SEQUENCE ridic_jmeno_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 1702 (class 0 OID 0)
-- Dependencies: 1318
-- Name: ridic_jmeno_seq; Type: SEQUENCE OWNED BY; Schema: db; Owner: -
--

ALTER SEQUENCE ridic_jmeno_seq OWNED BY ridic.jmeno;


--
-- TOC entry 1319 (class 1259 OID 18784248)
-- Dependencies: 3 1322
-- Name: ridic_prijmeni_seq; Type: SEQUENCE; Schema: db; Owner: -
--

CREATE SEQUENCE ridic_prijmeni_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 1703 (class 0 OID 0)
-- Dependencies: 1319
-- Name: ridic_prijmeni_seq; Type: SEQUENCE OWNED BY; Schema: db; Owner: -
--

ALTER SEQUENCE ridic_prijmeni_seq OWNED BY ridic.prijmeni;


--
-- TOC entry 1320 (class 1259 OID 18784250)
-- Dependencies: 1322 3
-- Name: ridic_rodne_cislo_seq; Type: SEQUENCE; Schema: db; Owner: -
--

CREATE SEQUENCE ridic_rodne_cislo_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 1704 (class 0 OID 0)
-- Dependencies: 1320
-- Name: ridic_rodne_cislo_seq; Type: SEQUENCE OWNED BY; Schema: db; Owner: -
--

ALTER SEQUENCE ridic_rodne_cislo_seq OWNED BY ridic.rodne_cislo;


--
-- TOC entry 1321 (class 1259 OID 18784252)
-- Dependencies: 1322 3
-- Name: ridic_skupina_seq; Type: SEQUENCE; Schema: db; Owner: -
--

CREATE SEQUENCE ridic_skupina_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 1705 (class 0 OID 0)
-- Dependencies: 1321
-- Name: ridic_skupina_seq; Type: SEQUENCE OWNED BY; Schema: db; Owner: -
--

ALTER SEQUENCE ridic_skupina_seq OWNED BY ridic.skupina;


--
-- TOC entry 1326 (class 1259 OID 18784706)
-- Dependencies: 3
-- Name: vazba; Type: TABLE; Schema: db; Owner: -; Tablespace: 
--

CREATE TABLE vazba (
    id integer NOT NULL,
    id_ridice integer NOT NULL,
    id_vozidla integer NOT NULL
);


--
-- TOC entry 1327 (class 1259 OID 18784723)
-- Dependencies: 1326 3
-- Name: vazba_id_ridice_seq; Type: SEQUENCE; Schema: db; Owner: -
--

CREATE SEQUENCE vazba_id_ridice_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 1706 (class 0 OID 0)
-- Dependencies: 1327
-- Name: vazba_id_ridice_seq; Type: SEQUENCE OWNED BY; Schema: db; Owner: -
--

ALTER SEQUENCE vazba_id_ridice_seq OWNED BY vazba.id_ridice;


--
-- TOC entry 1325 (class 1259 OID 18784704)
-- Dependencies: 1326 3
-- Name: vazba_id_seq; Type: SEQUENCE; Schema: db; Owner: -
--

CREATE SEQUENCE vazba_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 1707 (class 0 OID 0)
-- Dependencies: 1325
-- Name: vazba_id_seq; Type: SEQUENCE OWNED BY; Schema: db; Owner: -
--

ALTER SEQUENCE vazba_id_seq OWNED BY vazba.id;


--
-- TOC entry 1324 (class 1259 OID 18784268)
-- Dependencies: 3
-- Name: vozidlo; Type: TABLE; Schema: db; Owner: -; Tablespace: 
--

CREATE TABLE vozidlo (
    id_vozidla integer NOT NULL,
    spz text NOT NULL,
    typ_vozidla text NOT NULL,
    id_pobocky integer NOT NULL,
    id_autosalonu integer NOT NULL
);


--
-- TOC entry 1328 (class 1259 OID 18785875)
-- Dependencies: 3 1324
-- Name: vozidlo_id_pobocky_seq; Type: SEQUENCE; Schema: db; Owner: -
--

CREATE SEQUENCE vozidlo_id_pobocky_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 1708 (class 0 OID 0)
-- Dependencies: 1328
-- Name: vozidlo_id_pobocky_seq; Type: SEQUENCE OWNED BY; Schema: db; Owner: -
--

ALTER SEQUENCE vozidlo_id_pobocky_seq OWNED BY vozidlo.id_pobocky;


--
-- TOC entry 1323 (class 1259 OID 18784266)
-- Dependencies: 3 1324
-- Name: vozidlo_id_vozidla_seq; Type: SEQUENCE; Schema: db; Owner: -
--

CREATE SEQUENCE vozidlo_id_vozidla_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 1709 (class 0 OID 0)
-- Dependencies: 1323
-- Name: vozidlo_id_vozidla_seq; Type: SEQUENCE OWNED BY; Schema: db; Owner: -
--

ALTER SEQUENCE vozidlo_id_vozidla_seq OWNED BY vozidlo.id_vozidla;


--
-- TOC entry 1661 (class 2604 OID 18782448)
-- Dependencies: 1316 1315 1316
-- Name: id_adresa; Type: DEFAULT; Schema: db; Owner: -
--

ALTER TABLE adresa ALTER COLUMN id_adresa SET DEFAULT nextval('adresa_adresa_seq'::regclass);


--
-- TOC entry 1659 (class 2604 OID 18780886)
-- Dependencies: 1312 1311 1312
-- Name: id_autosalonu; Type: DEFAULT; Schema: db; Owner: -
--

ALTER TABLE autosalon ALTER COLUMN id_autosalonu SET DEFAULT nextval('autosalon_id_autosalonu_seq'::regclass);


--
-- TOC entry 1660 (class 2604 OID 18781213)
-- Dependencies: 1314 1313 1314
-- Name: id_pobocky; Type: DEFAULT; Schema: db; Owner: -
--

ALTER TABLE pobocka ALTER COLUMN id_pobocky SET DEFAULT nextval('pobocka_id_pobocky_seq'::regclass);


--
-- TOC entry 1662 (class 2604 OID 18784256)
-- Dependencies: 1317 1322 1322
-- Name: id_ridice; Type: DEFAULT; Schema: db; Owner: -
--

ALTER TABLE ridic ALTER COLUMN id_ridice SET DEFAULT nextval('ridic_id_ridice_seq'::regclass);


--
-- TOC entry 1664 (class 2604 OID 18784708)
-- Dependencies: 1325 1326 1326
-- Name: id; Type: DEFAULT; Schema: db; Owner: -
--

ALTER TABLE vazba ALTER COLUMN id SET DEFAULT nextval('vazba_id_seq'::regclass);


--
-- TOC entry 1663 (class 2604 OID 18784270)
-- Dependencies: 1324 1323 1324
-- Name: id_vozidla; Type: DEFAULT; Schema: db; Owner: -
--

ALTER TABLE vozidlo ALTER COLUMN id_vozidla SET DEFAULT nextval('vozidlo_id_vozidla_seq'::regclass);


--
-- TOC entry 1670 (class 2606 OID 18782453)
-- Dependencies: 1316 1316
-- Name: adresa_pkey; Type: CONSTRAINT; Schema: db; Owner: -; Tablespace: 
--

ALTER TABLE ONLY adresa
    ADD CONSTRAINT adresa_pkey PRIMARY KEY (id_adresa);


--
-- TOC entry 1666 (class 2606 OID 18780891)
-- Dependencies: 1312 1312
-- Name: autosalon_pkey; Type: CONSTRAINT; Schema: db; Owner: -; Tablespace: 
--

ALTER TABLE ONLY autosalon
    ADD CONSTRAINT autosalon_pkey PRIMARY KEY (id_autosalonu);


--
-- TOC entry 1668 (class 2606 OID 18781218)
-- Dependencies: 1314 1314
-- Name: pobocka_pkey; Type: CONSTRAINT; Schema: db; Owner: -; Tablespace: 
--

ALTER TABLE ONLY pobocka
    ADD CONSTRAINT pobocka_pkey PRIMARY KEY (id_pobocky);


--
-- TOC entry 1672 (class 2606 OID 18784262)
-- Dependencies: 1322 1322
-- Name: ridic_pkey; Type: CONSTRAINT; Schema: db; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ridic
    ADD CONSTRAINT ridic_pkey PRIMARY KEY (id_ridice);


--
-- TOC entry 1674 (class 2606 OID 18784503)
-- Dependencies: 1322 1322
-- Name: ridic_rodne_cislo_key; Type: CONSTRAINT; Schema: db; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ridic
    ADD CONSTRAINT ridic_rodne_cislo_key UNIQUE (rodne_cislo);


--
-- TOC entry 1680 (class 2606 OID 18784710)
-- Dependencies: 1326 1326
-- Name: vazba_pkey; Type: CONSTRAINT; Schema: db; Owner: -; Tablespace: 
--

ALTER TABLE ONLY vazba
    ADD CONSTRAINT vazba_pkey PRIMARY KEY (id);


--
-- TOC entry 1676 (class 2606 OID 18784275)
-- Dependencies: 1324 1324
-- Name: vozidlo_pkey; Type: CONSTRAINT; Schema: db; Owner: -; Tablespace: 
--

ALTER TABLE ONLY vozidlo
    ADD CONSTRAINT vozidlo_pkey PRIMARY KEY (id_vozidla);


--
-- TOC entry 1678 (class 2606 OID 18784277)
-- Dependencies: 1324 1324
-- Name: vozidlo_spz_key; Type: CONSTRAINT; Schema: db; Owner: -; Tablespace: 
--

ALTER TABLE ONLY vozidlo
    ADD CONSTRAINT vozidlo_spz_key UNIQUE (spz);


--
-- TOC entry 1690 (class 2620 OID 29663870)
-- Dependencies: 34 1324
-- Name: beforeAddNewCar; Type: TRIGGER; Schema: db; Owner: -
--

CREATE TRIGGER "beforeAddNewCar"
    BEFORE INSERT ON vozidlo
    FOR EACH ROW
    EXECUTE PROCEDURE freespace();


--
-- TOC entry 1689 (class 2620 OID 29715461)
-- Dependencies: 1316 35
-- Name: noDupliciteAddress; Type: TRIGGER; Schema: db; Owner: -
--

CREATE TRIGGER "noDupliciteAddress"
    BEFORE INSERT ON adresa
    FOR EACH ROW
    EXECUTE PROCEDURE "existsAddress"();


--
-- TOC entry 1681 (class 2606 OID 18786116)
-- Dependencies: 1316 1669 1312
-- Name: autosalon_id_adresa_fkey; Type: FK CONSTRAINT; Schema: db; Owner: -
--

ALTER TABLE ONLY autosalon
    ADD CONSTRAINT autosalon_id_adresa_fkey FOREIGN KEY (id_adresa) REFERENCES adresa(id_adresa);


--
-- TOC entry 1682 (class 2606 OID 18786108)
-- Dependencies: 1316 1314 1669
-- Name: pobocka_id_adresa_fkey; Type: FK CONSTRAINT; Schema: db; Owner: -
--

ALTER TABLE ONLY pobocka
    ADD CONSTRAINT pobocka_id_adresa_fkey FOREIGN KEY (id_adresa) REFERENCES adresa(id_adresa);


--
-- TOC entry 1683 (class 2606 OID 18785863)
-- Dependencies: 1316 1322 1669
-- Name: ridic_id_adresa_fkey; Type: FK CONSTRAINT; Schema: db; Owner: -
--

ALTER TABLE ONLY ridic
    ADD CONSTRAINT ridic_id_adresa_fkey FOREIGN KEY (id_adresa) REFERENCES adresa(id_adresa);


--
-- TOC entry 1684 (class 2606 OID 18785868)
-- Dependencies: 1314 1322 1667
-- Name: ridic_id_pobocky_fkey; Type: FK CONSTRAINT; Schema: db; Owner: -
--

ALTER TABLE ONLY ridic
    ADD CONSTRAINT ridic_id_pobocky_fkey FOREIGN KEY (id_pobocky) REFERENCES pobocka(id_pobocky);


--
-- TOC entry 1687 (class 2606 OID 18784876)
-- Dependencies: 1326 1322 1671
-- Name: vazba_id_ridice_fkey; Type: FK CONSTRAINT; Schema: db; Owner: -
--

ALTER TABLE ONLY vazba
    ADD CONSTRAINT vazba_id_ridice_fkey FOREIGN KEY (id_ridice) REFERENCES ridic(id_ridice);


--
-- TOC entry 1688 (class 2606 OID 18785612)
-- Dependencies: 1326 1675 1324
-- Name: vazba_id_vozidla_fkey; Type: FK CONSTRAINT; Schema: db; Owner: -
--

ALTER TABLE ONLY vazba
    ADD CONSTRAINT vazba_id_vozidla_fkey FOREIGN KEY (id_vozidla) REFERENCES vozidlo(id_vozidla);


--
-- TOC entry 1686 (class 2606 OID 18785895)
-- Dependencies: 1312 1665 1324
-- Name: vozidlo_id_autosalonu_fkey; Type: FK CONSTRAINT; Schema: db; Owner: -
--

ALTER TABLE ONLY vozidlo
    ADD CONSTRAINT vozidlo_id_autosalonu_fkey FOREIGN KEY (id_autosalonu) REFERENCES autosalon(id_autosalonu);


--
-- TOC entry 1685 (class 2606 OID 18785889)
-- Dependencies: 1314 1324 1667
-- Name: vozidlo_id_pobocky_fkey; Type: FK CONSTRAINT; Schema: db; Owner: -
--

ALTER TABLE ONLY vozidlo
    ADD CONSTRAINT vozidlo_id_pobocky_fkey FOREIGN KEY (id_pobocky) REFERENCES pobocka(id_pobocky);


--
-- TOC entry 1696 (class 0 OID 0)
-- Dependencies: 6
-- Name: public; Type: ACL; Schema: -; Owner: -
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- TOC entry 1697 (class 0 OID 0)
-- Dependencies: 34
-- Name: freespace(); Type: ACL; Schema: db; Owner: -
--

REVOKE ALL ON FUNCTION freespace() FROM PUBLIC;
REVOKE ALL ON FUNCTION freespace() FROM "db.sislik.net";
GRANT ALL ON FUNCTION freespace() TO "db.sislik.net";
GRANT ALL ON FUNCTION freespace() TO PUBLIC;


-- Completed on 2008-05-11 22:39:21

--
-- PostgreSQL database dump complete
--

